=== debian/changelog ===
soapysdr (0.4.3+git20160605-1) unstable; urgency=medium

  * Initial release. (Closes: #827709)

 -- Andreas Bombe <aeb@debian.org>  Fri, 08 Jul 2016 16:15:23 +0200
