=== debian/control ===
Source: soapysdr
Section: hamradio
Priority: optional
Maintainer: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 9),
    cmake,
    swig,
    python-dev,
    python3-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapySDR/wiki

Package: libsoapysdr0.5-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software defined radio interface library
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.

Package: libsoapysdr-dev
Section: libdevel
Architecture: any
Depends:
    libsoapysdr0.5-2 (= ${binary:Version}),
    ${misc:Depends}
Description: SoapySDR library development files
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the development files for the library.

Package: soapysdr-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software defined radio interface library tools
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the SoapySDRUtil command line utility which can
 list available modules and hardware.

Package: python-soapysdr
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python-numpy
Description: SoapySDR Python 2 bindings
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the Python 2 bindings for the library.

Package: python3-soapysdr
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python-numpy
Description: SoapySDR Python 3 bindings
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the Python 3 bindings for the library.
