=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# extract the architecture for setting the library path suffix
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# extract the last section of the changelog version for extra info
DEB_VERSION ?= $(shell dpkg-parsechangelog -S Version)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_AUTOSET_INSTALL_RPATH=FALSE \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DOVERRIDE_SOAPY_SDR_VERSION="$(DEB_VERSION)"

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt
