## soapysdr 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # gather version information
 # packagers may specify -DSOAPY_SDR_EXTVER="foo" to replace the git hash
 ########################################################################
-set(SOAPY_SDR_LIBVER "0.5.0")
+set(SOAPY_SDR_LIBVER "0.5.1")
 
 if (NOT SOAPY_SDR_EXTVER)
     include(${PROJECT_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake)
@@ -157,5 +157,5 @@
 message(STATUS "######################################################")
 feature_summary(WHAT DISABLED_FEATURES)
 message(STATUS "SoapySDR version: v${SOAPY_SDR_VERSION}")
-message(STATUS "ABI/so version: v${SOAPY_SDR_SOVER}")
+message(STATUS "ABI/so version: v${SOAPY_SDR_ABI_VERSION}")
 message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
