=== debian/changelog ===
soapysdr (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
    - Modules are now searched in ABI versioned path to facilitate
      parallel installation of multiple libsoapysdr ABI versions
  * Recommend module virtual package in shared library package which is
    provided by hardware support module packages
  * Add DEP3 header to version-string patch

 -- Andreas Bombe <aeb@debian.org>  Mon, 15 Aug 2016 20:45:32 +0200

soapysdr (0.4.3+git20160605-2) unstable; urgency=medium

  * Remove symbols file again, too much work for a C++ library for now
  * Move to team maintenance by the hamradio team

 -- Andreas Bombe <aeb@debian.org>  Sun, 10 Jul 2016 13:45:50 +0200
