=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: soapysdr
 Section: hamradio
 Priority: optional
-Maintainer: Andreas Bombe <aeb@debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
     debhelper (>= 9),
     cmake,
@@ -10,16 +11,21 @@
     python3-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/pothosware/SoapySDR/wiki
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapysdr.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapysdr.git
 
 Package: libsoapysdr0.5-2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: soapysdr0.5-2-module
 Description: software defined radio interface library
  SoapySDR is a library providing a common interface to SDR (software
  defined radio) hardware. Support for different hardware is added through
  external modules.
+ .
+ This package contains the shared library.
 
 Package: libsoapysdr-dev
 Section: libdevel
