=== debian/changelog ===
soapysdr (0.5.4-1build1) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 13:53:49 +0000

soapysdr (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4
  * Refresh version-string patch
  * Add airspy, lms7 and redpitaya dependencies to soapysdr0.5-2-module-all
  * Mask dependencies of soapysdr0.5-2-module-all for architectures where
    the modules can't be built
  * Remove man page for SoapySDRUtil, merged upstream
  * Remove unnecessary dh_installchangelogs override from debian/rules
  * Link with --as-needed

 -- Andreas Bombe <aeb@debian.org>  Fri, 06 Jan 2017 19:24:08 +0100

soapysdr (0.5.3-2) unstable; urgency=medium

  * Add man page for SoapySDRUtil
  * Add hackrf, remote and uhd dependencies to soapysdr0.5-2-module-all
  * Add appropriate Multi-Arch headers to libsoapysdr-dev, libsoapysdr-doc,
    soapysdr0.5-2-module-all, soapysdr-module-all
  * Move debhelper compat level from 9 to 10
  * Call dh_doxygen after dh_installdocs

 -- Andreas Bombe <aeb@debian.org>  Sat, 19 Nov 2016 23:09:15 +0100

soapysdr (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
  * Add soapysdr-module-all metapackages that depend on all available
    module packages and let libsoapysdr recommend it as the first
    alternative to the virtual soapysdr-module package

 -- Andreas Bombe <aeb@debian.org>  Mon, 19 Sep 2016 20:00:52 +0200

soapysdr (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Add patch install-dev-docs to make the build install the HTML
    documentation files
  * Add Build-Depends-Indep on doxygen and create new architecture all
    package libsoapysdr-doc

 -- Andreas Bombe <aeb@debian.org>  Wed, 24 Aug 2016 04:06:10 +0200
