=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # extract the architecture for setting the library path suffix
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -21,5 +22,11 @@
 		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
 		-DOVERRIDE_SOAPY_SDR_VERSION="$(DEB_VERSION)"
 
-override_dh_installchangelogs:
-	dh_installchangelogs Changelog.txt
+override_dh_installdocs-arch:
+	dh_installdocs -p soapysdr-module-all \
+		--link-doc=soapysdr0.5-2-module-all
+	dh_installdocs --arch --remaining-packages
+
+override_dh_installdocs-indep:
+	dh_installdocs --indep
+	dh_doxygen --indep
