## soapysdr 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # gather version information
 # packagers may specify -DSOAPY_SDR_EXTVER="foo" to replace the git hash
 ########################################################################
-set(SOAPY_SDR_LIBVER "0.5.4")
+set(SOAPY_SDR_LIBVER "0.6.0")
 
 if (NOT SOAPY_SDR_EXTVER)
     include(${PROJECT_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake)
