=== debian/changelog ===
soapysdr (0.6.0-2) unstable; urgency=medium

  * Let libsoapysdr-dev provide libsoapysdr0.6-dev so that module packages
    can Build-Depend on a version matching their binary package names
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 06 Aug 2017 12:12:35 -0400

soapysdr (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Change library ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Update copyright years in debian/copyright
  * Add soapysdr0.6-module-osmosdr dependency to the soapysdr0.6-module-all
    metapackage
  * Bump Standards-Version to 4.0.0, no changes required
  * Fix CMake warning for mismatched logical block arguments in version-string
    patch
  * Include pkg-info.mk in debian/rules instead of setting DEB_VERSION
    manually with dpkg-parsechangelog

 -- Andreas Bombe <aeb@debian.org>  Tue, 27 Jun 2017 02:57:04 +0200
