=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 9),
+    debhelper (>= 10),
     cmake,
     swig,
     python-dev,
     python3-dev
-Standards-Version: 3.9.8
+Build-Depends-Indep:
+    doxygen
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapySDR/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapysdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapysdr.git
 
-Package: libsoapysdr0.5-2
+Package: libsoapysdr0.6
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: soapysdr0.5-2-module
+Recommends: soapysdr0.6-module-all | soapysdr0.6-module
 Description: software defined radio interface library
  SoapySDR is a library providing a common interface to SDR (software
  defined radio) hardware. Support for different hardware is added through
@@ -30,15 +32,30 @@
 Package: libsoapysdr-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
-    libsoapysdr0.5-2 (= ${binary:Version}),
+    libsoapysdr0.6 (= ${binary:Version}),
     ${misc:Depends}
+Provides: libsoapysdr0.6-dev
+Suggests: libsoapysdr-doc
 Description: SoapySDR library development files
  SoapySDR is a library providing a common interface to SDR (software
  defined radio) hardware. Support for different hardware is added through
  external modules.
  .
  This package contains the development files for the library.
+
+Package: libsoapysdr-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: SoapySDR library development documentation
+ SoapySDR is a library providing a common interface to SDR (software
+ defined radio) hardware. Support for different hardware is added through
+ external modules.
+ .
+ This package contains the development documentation for the library.
 
 Package: soapysdr-tools
 Architecture: any
@@ -74,3 +91,39 @@
  external modules.
  .
  This package contains the Python 3 bindings for the library.
+
+Package: soapysdr0.6-module-all
+Architecture: any
+Multi-Arch: same
+Depends:
+    soapysdr0.6-module-airspy [!hurd-i386],
+    soapysdr0.6-module-audio [linux-any],
+    soapysdr0.6-module-bladerf [!hurd-i386 !m68k !powerpcspe !sh4],
+    soapysdr0.6-module-hackrf [!hurd-i386],
+    soapysdr0.6-module-lms7 [!powerpcspe],
+    soapysdr0.6-module-osmosdr [!hurd-i386],
+    soapysdr0.6-module-redpitaya,
+    soapysdr0.6-module-remote,
+    soapysdr0.6-module-rtlsdr [!hurd-i386],
+    soapysdr0.6-module-uhd,
+    ${misc:Depends}
+Description: All device support for SoapySDR (metapackage)
+ SoapySDR is a library providing a common interface to SDR (software
+ defined radio) hardware. Support for different hardware is added through
+ external modules.
+ .
+ This dependency package pulls in all available device support module packages.
+ You can remove this package if you prefer to pick and choose modules to
+ install.
+
+Package: soapysdr-module-all
+Architecture: any
+Multi-Arch: same
+Depends: soapysdr0.6-module-all, ${misc:Depends}
+Description: All device support for default version of SoapySDR (metapackage)
+ SoapySDR is a library providing a common interface to SDR (software
+ defined radio) hardware. Support for different hardware is added through
+ external modules.
+ .
+ This package depends on the metapackage which in turn depends on all available
+ device support packages for the default version of libsoapysdr.
