=== python/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
         COMMAND ${PYTHON_CONFIG_EXECUTABLE}  --ldflags
         OUTPUT_STRIP_TRAILING_WHITESPACE
         OUTPUT_VARIABLE PYTHON_LIBRARIES)
+    string(STRIP "${PYTHON_LIBRARIES}" PYTHON_LIBRARIES)
     set(PYTHONLIBS_VERSION_STRING ${PYTHON_VERSION_STRING})
     set(PYTHONLIBS_FOUND TRUE)
 else()
@@ -87,6 +88,12 @@
 #set once we know that executable and libs are found and match
 #this tells the parent scope to build python3 when this is python2
 if(PYTHON_VERSION_STRING AND "${PYTHON_VERSION_STRING}" VERSION_LESS "3.0")
+    set(BUILD_PYTHON3 TRUE PARENT_SCOPE)
+endif()
+
+#or enable search for python3 when this directory failed to find
+#a full set of python interpreter and devel files of any version
+if(NOT PYTHONINTERP_FOUND OR NOT PYTHONLIBS_FOUND)
     set(BUILD_PYTHON3 TRUE PARENT_SCOPE)
 endif()
