=== debian/changelog ===
soapysdr (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Bump Standards-Version to 4.1.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 17 Dec 2017 22:12:11 +0100
