=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     python3-dev
 Build-Depends-Indep:
     doxygen
-Standards-Version: 4.0.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/pothosware/SoapySDR/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapysdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapysdr.git
