=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# for definition of DEB_VERSION
+include /usr/share/dpkg/pkg-info.mk
+
 # extract the architecture for setting the library path suffix
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-# extract the last section of the changelog version for extra info
-DEB_VERSION ?= $(shell dpkg-parsechangelog -S Version)
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -24,7 +24,7 @@
 
 override_dh_installdocs-arch:
 	dh_installdocs -p soapysdr-module-all \
-		--link-doc=soapysdr0.5-2-module-all
+		--link-doc=soapysdr0.6-module-all
 	dh_installdocs --arch --remaining-packages
 
 override_dh_installdocs-indep:
